module JamRuby
  module S3PublicManagerMixin
    extend ActiveSupport::Concern
    include AppConfig

    included do
    end

    module ClassMethods

    end

    def s3_public_manager()
      @s3_public_manager ||= S3Manager.new(app_config.aws_bucket_public, app_config.aws_access_key_id, app_config.aws_secret_access_key)
    end
  end
end